new;
library spt,pgraph;
SPTset;

tau = seqa(1/10,1/10,150);

let coefficients[6,4] =
      0.16      0.174     0.0510   2.238
      0.14      0.015     0.1241   19.57
      0.03      0.074     0.557    0.837
      0.14     -0.05      0.1241   02.57
      0.13     -0.01     -0.07     4
      0.04     0.05      0.1241   02.57;

TauxZero = NelsonSiegel_TauxZero(coefficients',tau);

graphset;
  _pdate = ""; _pnum = 2;
  title("Quelques exemples de courbe de taux zero"\
        "\Ldu modele de Nelson et Siegel ");
  xlabel("maturite (annees)"); ylabel("Taux d'interet");
  xtics(0,15,1,12);
  _pltype = 6; _plctrl = 24;
  _pstype = 8|3|9|4|14|5;
  graphprt("-c=1 -cf=nelson1.eps -w=5");
  xy(tau,0.5*TauxZero);


