new;
library spt,tsm,optmum;
SPTset;
TSMset;

fichier = spt_data_path $+ "NS_frf"; load data = ^fichier;

Dates_ = data[.,1];
coefficients = data[.,2 3 4 5];

tau = 1/365;

TC = NelsonSiegel_TauxZero(coefficients',tau)';

output file = sargent3.out reset;

TauStar = 1;
p = 2;

N = 2;
do until N > 7;

  TL = NelsonSiegel_TauxZero(coefficients',N*tau)';
  Taux = calendrier_31jpm(Dates_~TC~TL,0,0);
  Taux = Interpolation_Donnees(Taux);

  print "==============================================================";
  print ftos(N,"                    N = %lf",2,0);
  print "==============================================================";
  print;

  Rt = Taux[.,2];
  RNt = Taux[.,3];

  rt = rt - lag1(rt);
  RNt = RNt - lag1(RNt);

  call TestSargent(rt,Rnt,N,TauStar,p);

  N = N + 1;
endo;

output off;


