new;
library spt;
SPTset;

fichier = spt_data_path $+ "NS_frf"; load NS_frf = ^fichier;

Dates = NS_frf[.,1];
theta = NS_frf[.,2 3 4 5];
theta = theta';

tau = 1/12;

R = NS_frf[.,2] + NS_frf[.,3];

F = NelsonSiegel_TauxATerme(theta,tau,0);
F = F';

data = dates~R~R~F;
data = Interpolation_Donnees(calendrier_31jpm(Data,19940101,19961231));
Nobs = rows(data);
data = data[.,2:4];

output file = terme5.out reset;

call reg_fm(data[.,1],ones(Nobs,1),data[.,3]);

call reg_fm(lagn(data[.,1],-31),ones(Nobs,1),data[.,3]);

output off;


