new;
library spt,pgraph;
SPTset;

fichier = spt_data_path $+ "NS_frf"; load NS_frf = ^fichier;

Dates = NS_frf[.,1];
theta = NS_frf[.,2 3 4 5];
theta = theta';

tau = 1/365*seqa(1,1,6*31);

R = NelsonSiegel_TauxZero(theta,1);
R = R';
F = NelsonSiegel_TauxATerme(theta,tau,1);
F = F';

data = dates~R~F;
data = Interpolation_Donnees(calendrier_31jpm(Data,19940101,19961231));
Nobs = rows(data);

N = rows(tau);
coeff = zeros(N,3);

_print = 0;

i = 1;
do until i > N;
  {beta,stderr,Mcov,u}
        = reg_fm(lagn(data[.,2],-i),ones(Nobs,1),data[.,2+i]);
   coeff[i,.] = beta[2] + (-1.96~0~1.96).*stderr[2];
   i = i + 1;
endo;


graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pltype = 3|6|3;
  title("Evolution du coefficient \202b\201 pour le taux zero 1 an"\
        "\Len fonction de l'horizon d'anticipation");
  let xlab = " " "1 mois" "2 mois" "3 mois"
                 "4 mois" "5 mois" "6 mois";
  asclabel(xlab,0);
  xlabel("\202t\201");
  xtics(1,N,31,31);
  ytics(0.6,1.2,0.1,2);
  graphprt("-c=1 -cf=terme8.eps -w=5");
  xy(seqa(1,1,N),coeff);





