new;
library spt,pgraph,tsm,optmum;
TSMset;
SPTset;

fichier = spt_data_path $+ "change"; change = loadd(fichier);

change = Interpolation_donnees(calendrier_31jpm(change,19940101,19961231));
change = ln(change[.,2]/100);

S2 = change;

delta = {};
m = 31;

i = 1;
do until i > rows(m);
  S1 = shiftr(change',m[i],miss(0,0))';
  delta = delta ~ ( (S2-S1)/(m[i]/365) );
  i = i + 1;
endo;

delta =  packr(delta);
delta = delta[1:1024];

{H,G,Htilde,Gtilde} = Daubechies(8);

w = wt(delta,H,G,0);

w56 = extract(w,5|6);
y56 = iwt(w56,Htilde,Gtilde,0);

_fourier = 0;
{lambda,I} = PDGM(y56);
_smoothing = 10|4|1|0.23;  /* Bandwidth = 10 and Tukey lag window */
I = Smoothing(I);

q = trunc(rows(lambda)/2);

g = maxc(I[1:q,.])/sumc(I[1:q,.]);
Nobs = 2*q;
gstar = 2*Nobs*g;
pvalue = Nobs*exp(-gstar/2);

s = maxindc(I[1:q,.]);

output file = change4.out reset;

print "frequence"; lambda[s];
print "Periode"; 2*pi/lambda[s];
print;
print ftos(g,     "g:                     %lf",6,5);
print ftos(gstar, "g* :                   %lf",6,5);
print ftos(pvalue,"p-value :              %lf",6,5);

output off;

