new;
library spt;
SPTset;

fichier = spt_data_path $+ "NS_frf"; load NS_frf = ^fichier;

Dates_ = NS_frf[.,1];
coefficients = NS_frf[.,2 3 4 5];

R0 = coefficients[.,1] + coefficients[.,2];
Rinf = coefficients[.,1];
tau = 1/12|2/12|3/12|6/12|9/12|1|2|3|4|5|6|7|8|9|10|15|20|25|30;

TauxZero = NelsonSiegel_TauxZero(coefficients',tau)';
TauxZero = R0~TauxZero~Rinf;

var = "0"|"1/12"|"2/12"|"3/12"|"1/2"|"9/12"|"1"|
      "2"|"3"|"4"|"5"|"6"|"7"|"8"|"9"|"10"|"15"|"20"|"25"|"30"|"infini";

__output = 1;

outwidth 256;

output file = acp1.out reset;

{va,ve,scores} = acp(var,TauxZero,1,5);

print "                  ---------------------------------";
print "Vecteurs propres";
print ve;

output off;

outwidth 80;