new;
library spt,pgraph,tsm,optmum;
TSMset;
SPTset;

fichier = spt_data_path $+ "NS_frf"; load NS_frf = ^fichier;

Dates_ = NS_frf[.,1];
coefficients = NS_frf[.,2 3 4 5];

R0 = coefficients[.,1] + coefficients[.,2];
Rinf = coefficients[.,1];
TauxZero = R0~Rinf;

y = 100*TauxZero;
PointAttract = zeros(2,1);

/* Premier modele */

load theta = inobs2;

a = theta[1]; b = theta[2]; n = theta[3]; sigma = theta[4];
PointAttract[1] = b;
Z = ones(2,1);
H = zeros(2,2);
R = 1;
d = n*ones(2,1);
T = 1-a;
c = a*b;
Q = sigma^2;

call SSM_build(Z,d,H,T,c,R,Q,0);

{a0,P0} = SSM_ic;
a0 = 0; P0 = 0;
 
call KFiltering(y,a0,P0);
a1 = Linear_Filter(KF_matrix(3),ones(3,1),-1,1);

/* Second modele */

load theta = inobs3;

a = theta[1]; b = theta[2]; n = theta[3]; sigma = theta[4];
PointAttract[2] = b;
Z = 1|-1;
H = zeros(2,2);
R = 1;
d = n*ones(2,1);
T = 1-a;
c = a*b;
Q = sigma^2;

call SSM_build(Z,d,H,T,c,R,Q,0);

{a0,P0} = SSM_ic;
a0 = 0; P0 = 0;
 
call KFiltering(y,a0,P0);
a2 = Linear_Filter(KF_matrix(3),ones(3,1),-1,1);

data = Dates_~a1~a2;
data = Interpolation_Donnees(calendrier_31jpm(Data,19940101,19961231));
Nobs = rows(data);

graphset;
  _pdate = ""; _pnum = 2;
  _pltype = 4; _pstype = 8|10; _plctrl = 30;
  let xlab = "1994" "1995" "1996" "1997";
  asclabel(xlab,0);
  xtics(1,Nobs,31*12,12);
  title("Estimation des facteurs");
  _plegstr = "Modele I\000Modele II";
  _plegctl = {2 6 6.3 4.5};
  graphprt("-c=1 -cf=inobs2.eps");
  xy(seqa(1,1,Nobs),data[.,2 3]);
