new;
library spt,pgraph,tsm,optmum;
TSMset;
SPTset;

cls;

fichier = spt_data_path $+ "NS_frf"; load NS_frf = ^fichier;
fichier = spt_data_path $+ "NS_dem"; load NS_dem = ^fichier;

Dates1 = NS_frf[.,1];
Dates2 = NS_dem[.,1];
Dates = intrsect(Dates1,Dates2,1);
Nobs = rows(Dates);

data1 = zeros(Nobs,5);
data2 = zeros(Nobs,5);

i = 1;
do until i > Nobs;
  indx = indexcat(Dates1,Dates[i]);
  data1[i,.] = NS_frf[indx,.];
  indx = indexcat(Dates2,Dates[i]);
  data2[i,.] = NS_dem[indx,.];
  i = i + 1;
endo;

tau = 10;
coefficients = data1[.,2 3 4 5];
Rtau = NelsonSiegel_TauxZero(coefficients',tau)';
y1 = Rtau - lag1(Rtau);

tau = 3;
coefficients = data2[.,2 3 4 5];
Rtau = NelsonSiegel_TauxZero(coefficients',tau)';
y2 = Rtau - lag1(Rtau);


output file = mltltrl5.out reset;

{theta,stderr,Mcov,Logl} = varx_LS(y1,y2,1);

output off;