new;
library spt,pgraph;
SPTset;

a = 0.95; b = 0.10; sigma_ = 0.2; lambda_ = 0.05;

proc mu(x);
  retp(a*(b-x));
endp;

proc sigma(x);
  retp(sigma_);
endp;

proc lambda(x);  
  retp(lambda_);
endp;

proc r(x);
  retp(x);
endp;

t0 = 0;
T = 5;
call SPT(&mu,&sigma,&lambda,&r,t0,T,0);

_spt_algorithme = 1;
_print = 0;

U = miss(zeros(501,4),0);

J = 21|41|101|121;
indx = 11|23|56|57;
h = zeros(4,1);

i = 1;
do until i > 4;
  {t,x,k,h[i]} = solution_EDP(-1,1,J[i],501,0.25,"sol");
   U[.,i] = Lire_EDP("sol","x"|x[indx[i]]);
   tau = 5 - t;
   {CouponZero,TauxZero} = Vasicek(x[indx[i]],a,b,sigma_,lambda_,tau);
   U[.,i] = CouponZero-U[.,i];
   i = i + 1;
endo;

graphset;
  _pdate=""; _pnum = 2;
  fonts("simplex simgrma");
  title("Methode des \202Q\201-schemas -- Influence du parametre h"\
        "\Lk = 0.01   \202Q\201 = 0.25");
  xlabel("t");
  xtics(0,5,1,10);
  ylabel("erreur");
  _plegstr="h = 0.1\000h = 0.05\000\h = 0.02"\
           "\000h = 1/60";
  _plegctl={ 2 5 5.5 4};
  _pysci = 2;
  graphprt("-c=1 -cf=edp3.eps");
  xy(t,U);
