new;
library spt,pgraph;
SPTset;

Nv = seqa(10,10,9)|seqa(100,50,13);
Nobs = rows(Nv);

tLU = zeros(Nobs,1);
tTRIDIAG = zeros(Nobs,1);

i = 1;
do until i > Nobs;

  cls;
  print /flush ftos(i,"Iteration no. %lf",1,0);

  N = Nv[i];
  a = rndn(N,1); b = rndn(N,1); c = rndn(N,1);
  d = rndn(N,1);

  t0 = hsec;
    x1 = Solution_Systeme_Tridiagonal(a,b,c,d);
  t1 = hsec;
  tTRIDIAG[i] = t1 - t0;

  Matrice = Creation_Matrice_Tridiagonale(a,b,c);

  t0 = hsec;
    x2 = d/Matrice;
  t1 = hsec;
  tLU[i] = t1 - t0;

  i = i + 1;
endo;

rapport = tLU./miss(tTRIDIAG,0);

graphset;
   title("Efficacite relative pour la resolution d'un systeme lineaire"\
         "\LAlgorithme tridiagonal / factorisation LU");
   _pnum = 2; _pdate = "";
   xlabel("Rang du systeme");
   ylabel("t]LU[/t]TRIDIAG[");
  _plctrl = 1;
  _pstype = 9;
  ytics(0,250,50,5);
  graphprt("-c=1 -cf=tridiag1.eps");
  xy(Nv,rapport);