new;
library spt;
SPTset;

Msym ".";

let CouponZero = 0.965 0.850 0.725 0.615;
let Volatilite =       0.12 0.13 0.14;

tau = seqa(1,1,4);
TauxZero = (1./CouponZero)^(1./tau) - 1;

R = BDT(TauxZero,Volatilite);
cap = 100*BDTcap(R,0.15);
{V,ArbreV} = BDTvalorisation(cap,R,1);

V4 = selectionArbreHoLee(ArbreV,4);
V3 = selectionArbreHoLee(ArbreV,3);
V2 = selectionArbreHoLee(ArbreV,2);
V1 = selectionArbreHoLee(ArbreV,1);

output file = bdt1.out reset;

Msym "";
call affichageArbre(R);
print "----------------------------------";
call affichageArbre(V1);
print "----------------------------------";
call affichageArbre(V2);
print "----------------------------------";
call affichageArbre(V3);
print "----------------------------------";
call affichageArbre(V4);

output off;

Msym ".";