new;
library spt;
SPTset;

Msym ".";

declare matrix r0,mu,phi,sigma;

proc procMu(t);
  retp(mu);
endp;

proc procPhi(t);
  retp(phi);
endp;
 
proc procSigma(t);
  retp(sigma);
endp;

mu = 0.10;
phi = 0.7;
sigma = 0.2;
r0 = 0.05;

outwidth 256;
Msym " ";

output file = bk1.out reset;

TT = 3;
N = 3;
delta0 = BKdelta0(r0,&procPhi,&procMu,&procSigma,0,TT,N,0.1,3);
{t,R} = BlackKarasinski(r0,&procPhi,&procMu,&procSigma,0,delta0,N); 
call affichageBK(t,R);

TT = 3;
N = 2;
delta0 = BKdelta0(r0,&procPhi,&procMu,&procSigma,0,TT,N,0.1,3);
{t,R} = BlackKarasinski(r0,&procPhi,&procMu,&procSigma,0,delta0,N); 
call affichageBK(t,R);

TT = 3;
N = 4;
delta0 = BKdelta0(r0,&procPhi,&procMu,&procSigma,0,TT,N,0.1,3);
{t,R} = BlackKarasinski(r0,&procPhi,&procMu,&procSigma,0,delta0,N); 
call affichageBK(t,R);

output off;

Msym ".";