new;
library spt;
SPTset;

sigma1 = 0.02;
sigma2 = 0.05;
c = 0.125;

proc procSigma2(theta,T);
  local Nobs;
  Nobs = maxc(rows(theta)|rows(T));
  retp( sigma1*ones(Nobs,1) ~ sigma2.*exp(-c/2.*(T-theta)) );
endp;

I = intsimpHJM(&procSigma2,1,5,20);

output file = hjm1.out reset;

print "La solution est : ";
print I;

output off;
