new;
library spt,pgraph;
SPTset;

fichier = spt_data_path $+ "NS_frf";
load NSfrf = ^fichier;

Dates = NSfrf[.,1];
NScoeff = NSfrf[.,2 3 4 5];
Nobs = rows(NScoeff);

load ls0;
load ls1;

LS = Dates~LS1[.,2]~LS0[.,1];

data = Interpolation_Donnees( calendrier_31jpm(LS,19940101,19961231) );
Nobs = rows(data);


graphset;
    _pdate = ""; _pnum = 2; _pltype = 4|6; 
    _pysci = 0;

    _ptitlht = 0.17; _pnumht = 0.17; 
    fonts("simplex simgrma");
    let xlab = "1994" "1995" "1996" "1997";
    asclabel(xlab,0);
    xtics(1,Nobs,31*12,12);

    title("Evolution de la volatilite implicite V]0[");  
    ytics(0,0.015,0.005,5);
    _plegstr = "est. I\000est. II";
    _plegctl = {2 6 6 4};
    graphprt("-c=1 -cf=ls.eps");
    xy(seqa(1,1,Nobs),data[.,3 2]);







