@<------------------- bdt2.prg ------------------->@

new;
library spt;
SPTset;

let TauxZero = 0.10 0.11 0.12 0.125 0.13;
let Volatilite =  0.19 0.18 0.17 0.16;

_print = 0;
R = BDT(TauxZero,Volatilite);

cap = 100*BDTcap(R,0.125);
{V,ArbreV} = BDTvalorisation(cap,R,1);

V5 = selectionArbreHoLee(ArbreV,5);
V4 = selectionArbreHoLee(ArbreV,4);
V3 = selectionArbreHoLee(ArbreV,3);
V2 = selectionArbreHoLee(ArbreV,2);
V1 = selectionArbreHoLee(ArbreV,1);

output file = bdt2.out reset;

Msym " ";
call affichageArbre(V1);
print "--------------------------------------------------------------";
call affichageArbre(V2);
print "--------------------------------------------------------------";
call affichageArbre(V3);
print "--------------------------------------------------------------";
call affichageArbre(V4);
print "--------------------------------------------------------------";
call affichageArbre(V5);

output off;

msym ".";
