@<------------------- gmm3.prg ------------------->@

new;
library spt,tsm,optmum;
SPTset;
TSMset;

rndseed 123;
a = 0.9; b = 8; sigma = 0.75;
{t,x} = simulation_OU(9,a,b,sigma,0,10,1000,1);

proc procMu(t,x,theta);
  retp(theta[1]*(theta[2]-x));
endp;

proc procSigma(t,x,theta);
  retp(theta[3]);
endp;

k = 10/1000;
sv = rndu(3,1);

output file = gmm3.out reset;

{theta,stderr,Mcov,Qmin} = gmm_eds(x,&procMu,&procSigma,0,k,sv,0,0);

output off;
