@<------------------- hw3.prg ------------------->@

new;
library spt,pgraph;

CouponZero = 0.992|0.984|0.976|0.969|0.961|0.953;
deltaT = 1/12;

a = 0.8;
sigma = 0.04;

format 10,6;
Msym " ";
_print = 0;

outwidth 256;

output file = hw3.out reset;

arbreHW = HullWhite(CouponZero,a,sigma,deltaT);
call affichageHW(arbreHW);

payoff = HWfloor(arbreHW,0.07);
payoff[.,3] = payoff[.,3]*10000000*deltaT;
{V,arbreV} = HWvalorisation(arbreHW,deltaT,payoff);

print arbreV;

x = arbreHW[.,1:5];
call affichageHW(x~arbreV[.,7]);

print "--- Arbre du floor 4 mois ---";
call affichageHW(x~arbreV[.,8]);
print "--- Arbre du floor 5 mois ---";
call affichageHW(x~arbreV[.,9]);
print "--- Arbre du floor 6 mois ---";
call affichageHW(x~arbreV[.,10]);
print ftos(sumc(V),"Valeur du FLOOR : %lf francs",10,5);

output off;

Msym ".";