@<------------------- ns5.prg ------------------->@

new;
library spt;
SPTset;

Dates = miss(0,0);
theta =  0.067 | -0.005 | -0.045 | 1.800 ;
NS = Dates~theta';   /* Base de donnees Nelson-Siegel */

output file = ns5.out reset;

m = 0;
do until m > 5;
  tauDiese = NelsonSiegel_Inversion(NS,m);
  str = ftos(m,"tau#(%lf) = ",0,0) $+ ftos(tauDiese,"%lf annees",5,3);
  print str;
  m = m + 1;
endo;

output off;
