@<------------------- optioncz.prg ------------------->@

new;
library spt;
SPTset;

cls;

t0 = 0; 
Tc = 0.5;    T = 1;
czTc = 0.97;  czT = 0.93;

K = czT/czTc;
a = 0.8; sigma = 0.02;
{C,P} = optionCouponZero(t0,T,czT,Tc,czTc,K,a,sigma);

output file = optioncz.out reset;

K = czT/czTc;
a = 0.8; sigma = 0.02;
{C,P} = optionCouponZero(t0,T,czT,Tc,czTc,K,a,sigma);

print "Option a la monnaie "$+ftos(K,"(prix d'erxercice = %lf) :",10,6);
print ftos(C,"call = %lf",10,6)$+ftos(P," --- put = %lf",10,6);

a = 1|0.8|0.6|0.2; sigma = 0.02;
{C,P} = optionCouponZero(t0,T,czT,Tc,czTc,0.956,a,sigma);

print;
print "           a              C               P";
print "----------------------------------------------------";
print a~C~P;

let cn = "czTc" "czT/czTc" "0.956";
cz = czTc|K|0.956;
r = -ln(cz)./0.5;
print;
print "Taux implicite :";
call printfmt(cn~r,0~1);

output off;

