new;
library spt,pgraph,tsm,optmum;
TSMset;
SPTset;

fichier = spt_data_path $+ "NS_frf"; load data = ^fichier;

tau = (1/365)|(7/365)|(1/12)|(3/12);
N = 31|20|15|5;

alpha2 = zeros(31,4);

i = 1;
do until i > 4;

  {L,alpha1,alpha2[1:N[i],i],LR,pvalue} =
                    NelsonSiegel_TestPTmc(data,tau[i],N[i]);

  i = i + 1;
endo;

let string str[4] = "1 jour" "1 semaine" "1 mois" "3 mois";

graphset;
  begwind;
  window2(2,2,0,0.5);
  setwind(1);

    _pdate = ""; _ptitlht = 2.5; _pnum = 0; _paxes = 0;
    title("Prime de terme");
    draw;

  graphset;
  fonts("simplex simgrma");
  _pnum = 2; _pnumht = 0.25; _ptitlht = 0.25; _paxht = 0.30;
  xlabel("N");
  ylabel("\202a\201");

  let step[4] = 5 4 2 1;

  i = 1;
  do until i > 4;

    setwind(i+1);

    title(str[i]);
    xtics(0,N[i],step[i],0);
    xy(seqa(1,1,N[i]),100*alpha2[1:N[i],i]);

    i = i + 1;
  endo;

  graphprt("-c=1 -cf=monotone.eps -w=5");

  endwind;

