new;
library spt;
SPTset;

fichier = spt_data_path $+ "NS_frf"; load NS_frf = ^fichier;

output file = nstestar.out reset;

_ph_lags = 7;

tau = 1/365;   /* 1 jour */
N = seqa(2,1,6);

i = 1;
do until i > rows(N);
  print; print "-----------------------";
  print ftos(N[i],"tau = 1 jour, N = %lf",2,0);
  print "-----------------------"; print;
  {Taux,alpha,beta,test,pvalue} = NelsonSiegel_TestAR(NS_frf,tau,N[i],1);
  _print = 0;
  {Taux,alpha,beta,test,pvalue} = NelsonSiegel_TestAR(NS_frf,tau,N[i],0);
  _print = 1;
  print; print "MCO:";
  print ftos(test,"Valeur du test de l'hypothese d'ant. rat. : %lf",5,3);
  print ftos(pvalue,"Probabilite marginale : %lf",5,3);
  print;
  i = i + 1;
endo;


tau = 7/365;   /* 1 semaine */
N = seqa(2,1,5);

i = 1;
do until i > rows(N);
  print; print "-----------------------";
  print ftos(N[i],"tau = 1 semaine, N = %lf",2,0);
  print "-----------------------"; print;
  {Taux,alpha,beta,test,pvalue} = NelsonSiegel_TestAR(NS_frf,tau,N[i],1);
  _print = 0;
  {Taux,alpha,beta,test,pvalue} = NelsonSiegel_TestAR(NS_frf,tau,N[i],0);
  _print = 1;
  print; print "MCO:";
  print ftos(test,"Valeur du test de l'hypothese d'ant. rat. : %lf",5,3);
  print ftos(pvalue,"Probabilite marginale : %lf",5,3);
  print;
  i = i + 1;
endo;


tau = 1/12;   /* 1 mois */
N = seqa(2,1,11);

i = 1;
do until i > rows(N);
  print; print "-----------------------";
  print ftos(N[i],"tau = 1 mois, N = %lf",2,0);
  print "-----------------------"; print;
  {Taux,alpha,beta,test,pvalue} = NelsonSiegel_TestAR(NS_frf,tau,N[i],1);
  _print = 0;
  {Taux,alpha,beta,test,pvalue} = NelsonSiegel_TestAR(NS_frf,tau,N[i],0);
  _print = 1;
  print; print "MCO:";
  print ftos(test,"Valeur du test de l'hypothese d'ant. rat. : %lf",5,3);
  print ftos(pvalue,"Probabilite marginale : %lf",5,3);
  print;
  i = i + 1;
endo;


tau = 3/12;   /* 3 mois */
N = seqa(2,1,7);

i = 1;
do until i > rows(N);
  print; print "-----------------------";
  print ftos(N[i],"tau = 3 mois, N = %lf",2,0);
  print "-----------------------"; print;
  {Taux,alpha,beta,test,pvalue} = NelsonSiegel_TestAR(NS_frf,tau,N[i],1);
  _print = 0;
  {Taux,alpha,beta,test,pvalue} = NelsonSiegel_TestAR(NS_frf,tau,N[i],0);
  _print = 1;
  print; print "MCO:";
  print ftos(test,"Valeur du test de l'hypothese d'ant. rat. : %lf",5,3);
  print ftos(pvalue,"Probabilite marginale : %lf",5,3);
  print;
  i = i + 1;
endo;


tau = 6/12;   /* 6 mois */
N = seqa(2,1,5);

i = 1;
do until i > rows(N);
  print; print "-----------------------";
  print ftos(N[i],"tau = 6 mois, N = %lf",2,0);
  print "-----------------------"; print;
  {Taux,alpha,beta,test,pvalue} = NelsonSiegel_TestAR(NS_frf,tau,N[i],1);
  _print = 0;
  {Taux,alpha,beta,test,pvalue} = NelsonSiegel_TestAR(NS_frf,tau,N[i],0);
  _print = 1;
  print; print "MCO:";
  print ftos(test,"Valeur du test de l'hypothese d'ant. rat. : %lf",5,3);
  print ftos(pvalue,"Probabilite marginale : %lf",5,3);
  print;
  i = i + 1;
endo;


tau = 1;   /* 1 an */
N = 2;

i = 1;
do until i > rows(N);
  print; print "-----------------------";
  print ftos(N[i],"tau = 1 an, N = %lf",2,0);
  print "-----------------------"; print;
  {Taux,alpha,beta,test,pvalue} = NelsonSiegel_TestAR(NS_frf,tau,N[i],1);
  _print = 0;
  {Taux,alpha,beta,test,pvalue} = NelsonSiegel_TestAR(NS_frf,tau,N[i],0);
  _print = 1;
  print; print "MCO:";
  print ftos(test,"Valeur du test de l'hypothese d'ant. rat. : %lf",5,3);
  print ftos(pvalue,"Probabilite marginale : %lf",5,3);
  print;
  i = i + 1;
endo;


output off;


