new;
library spt,pgraph;
SPTset;

a = 0.95; b = 0.10; sigma_ = 0.2; lambda_ = 0.05;

proc mu(x);
  retp(a*(b-x));
endp;

proc sigma(x);
  retp(sigma_);
endp;

proc lambda(x);  
  retp(lambda_);
endp;

proc r(x);
  retp(x);
endp;

t0 = 0;
T = 5;
call SPT(&mu,&sigma,&lambda,&r,t0,T,0);

_spt_algorithme = 1;
_print = 0;

U = miss(zeros(1501,5),0);
t = miss(zeros(1501,5),0);

N = 251|501|751|1001|1501;
k = zeros(5,1);

i = 1;
do until i > 5;
  {t[1:N[i],i],x,k[i],h} = solution_EDP(-1,1,101,N[i],0.25,"sol");
   U[1:N[i],i] = Lire_EDP("sol","x"|x[56]);
   tau = 5 - t[1:N[i],i];
   {CouponZero,TauxZero} = Vasicek(x[56],a,b,sigma_,lambda_,tau);
   U[1:N[i],i] = CouponZero-U[1:N[i],i];
   i = i + 1;
endo;

graphset;
  _pdate=""; _pnum = 2;
  fonts("simplex simgrma");
  title("Methode des \202Q\201-schemas -- Influence du parametre k"\
        "\Lh = 0.02   \202Q\201 = 0.25");
  xlabel("t");
  xtics(0,5,1,10);
  ylabel("erreur");
  _plegstr="k = 0.02\000k = 0.01\000\k = 1/150\000"\
           "k = 0.005\000\k = 1/300";
  _plegctl={ 2 5 2.25 3.5};
  _pysci = 2;
  graphprt("-c=1 -cf=edp2.eps");
  xy(t,U);


