new;
library spt;
SPTset;

Msym ".";

pi_ = 0.445;       
delta = 0.9;
CouponZero = 0.965|0.850|0.725|0.615;

P = ArbreHoLee(CouponZero,pi_,delta);
P1 = selectionArbreHoLee(P,1);

r1 = HoLeeTaux(P1,360,365);
Cap = 100*HoLeeCap(r1,0.15);

output file = holee2.out reset;

Msym " "; format 8,5;

{V,ArbreV} = HoLeeValorisation(Cap,P1,pi_);

V4 = selectionArbreHoLee(ArbreV,4);
V3 = selectionArbreHoLee(ArbreV,3);
V2 = selectionArbreHoLee(ArbreV,2);
V1 = selectionArbreHoLee(ArbreV,1);

call affichageArbre(r1);
print "----------------------------------";
call affichageArbre(V1);
print "----------------------------------";
call affichageArbre(V2);
print "----------------------------------";
call affichageArbre(V3);
print "----------------------------------";
call affichageArbre(V4);

print; print;
print "Valeur des Caplets : ";
print V;

output off;

Msym ".";