new;
library spt,pgraph;
SPTset;

CouponZero = 0.965|0.850|0.725|0.615;

indx1 = seqa(0.1,1/20,16)|1;
cap1 = zeros(rows(indx1),rows(indx1));

j = 1;
do until j > rows(indx1);

  i = 1;
  do until i > rows(indx1);

    P = ArbreHoLee(CouponZero,indx1[j],indx1[i]);
    P1 = selectionArbreHoLee(P,1);
    r1 = HoLeeTaux(P1,360,365);
    G = 100*HoLeeCap(r1,0.15);
    {V,ArbreV} = HoLeeValorisation(G,P1,indx1[j]);
    cap1[i,j] = sumc(V);

    i = i + 1;
  endo;

  j = j + 1;
endo;
  

indx2a = seqa(0.4,0.01,21);
indx2b = seqa(0.9,0.01,9);
cap2 = zeros(rows(indx2b),rows(indx2a));

j = 1;
do until j > rows(indx2a);

  i = 1;
  do until i > rows(indx2b);

    P = ArbreHoLee(CouponZero,indx2a[j],indx2b[i]);
    P1 = selectionArbreHoLee(P,1);
    r1 = HoLeeTaux(P1,360,365);
    G = 100*HoLeeCap(r1,0.15);
    {V,ArbreV} = HoLeeValorisation(G,P1,indx2a[j]);
    cap2[i,j] = sumc(V);

    i = i + 1;
  endo;

  j = j + 1;
endo;
  


graphset;
  begwind;
  makewind(9,6.855,0,0,1);  
  makewind(9/3,6.855/2.5,0.5,6.855/2,0); 
  makewind(9,6.855,0,0,1);  
  setwind(1); 

    _pdate = "";
    title("Prime du cap");

    fonts("simplex simgrma");
    xlabel("\202p");
    ylabel("\202d");

    ytics(0.1,0.9,0.2,2);
    xtics(0.1,0.9,0.2,2);
    z = 10;
    _pline3d = 0.4~0.9~z~0.4~0.98~z~7~6~20 |
               0.6~0.9~z~0.6~0.98~z~7~6~20 |
               0.4~0.9~z~0.6~0.9~z~7~6~20 |
               0.4~0.98~z~0.6~0.98~z~7~6~20 ;

    surface(indx1',indx1,cap1);

  setwind(2);

    graphset;
      _pnumht = 0.10;
      _pbox = 1;
      ytics(0.90,0.98,0.02,0);
      xtics(0.4,0.6,0.05,0);
      ztics(0,12,4,0);
      view(-6.5,-1,4.5); 
      surface(indx2a',indx2b,cap2);


   setwind(3);
      graphset;
     _pdate = ""; _pnum = 0; _pframe = 0; _paxes = 0;
     _parrow = 0.36~0.28~0.28~0.47~1~0.25~01~7~1~6~20;
     draw;

  
  graphprt("-c=1 -cf=holee2.eps");

  endwind;