new;
library spt,pgraph;
SPTset;

fichier = spt_data_path $+ "NS_frf";
load NSfrf = ^fichier;

t = seqa(1,1,rows(NSfrf));
tau = 0.001|seqa(1/12,1/12,36);
tau = tau';

NSdata = NSfrf;

b = gVasicek(NSdata,1,0.02,tau);

graphset;
  _pdate = ""; _pnum = {2,0,2}; _paxht = 0.20; _pnumht = 0.17;
  _ptitlht = 0.20;
  fonts("simplex simgrma");
  title("Evolution de b]t[(\202t\201)");
  xlabel("\202t\201");
  ylabel("   1996   1995   1994  ");
  xtics(0,3,1,12);
  ytics(1,rows(t),372,0);
  ztics(0.0,0.08,0.02,0);
  graphprt("-c=1 -cf=gv.eps");
  surface(tau,t,b);