@<------------------- holee1.prg ------------------->@

new;
library spt;
SPTset;

tau = 1 | 2 | 3 | 4 ;   /* Maturites 1 an, 2 ans, 3 ans et 4 ans */

{CouponZero,TauxZero} = Vasicek(0.10,0.8,0.11,0.15,0.01,tau);

pi_ = 0.445;
delta = 0.9;
P = arbreHoLee(CouponZero,pi_,delta);

P1 = selectionArbreHoLee(P,1);  /* coupon zero 1 an  */
P2 = selectionArbreHoLee(P,2);  /* coupon zero 2 an  */
P3 = selectionArbreHoLee(P,3);  /* coupon zero 3 an  */
P4 = selectionArbreHoLee(P,4);  /* coupon zero 4 an  */

output file = holee1.out reset;

msym "";

print "--- Arbre d'evolution du prix du coupon zero de maturite 1 an ---";
call affichageArbre(P1); print;
print "--- Arbre d'evolution du prix du coupon zero de maturite 2 ans ---";
call affichageArbre(P2); print;
print "--- Arbre d'evolution du prix du coupon zero de maturite 3 ans ---";
call affichageArbre(P3); print;
print "--- Arbre d'evolution du prix du coupon zero de maturite 4 ans ---";
call affichageArbre(P4); print;

output off;