@<------------------- holee5.prg ------------------->@

new;
library spt;
SPTset;

CouponZero = 0.992|0.984|0.976|0.969|0.961|0.953;
pi_ = 0.5;
delta = 0.998;

P = arbreHoLee(CouponZero,pi_,delta);
P1 = selectionArbreHoLee(P,1);  
P2 = selectionArbreHoLee(P,2);  
P3 = selectionArbreHoLee(P,3);  
P4 = selectionArbreHoLee(P,4);  
P5 = selectionArbreHoLee(P,5);  
P6 = selectionArbreHoLee(P,6);  
r1 = HoLeeTaux(P1,360,30);   
payoff = HoLeeFloor(r1,0.07);  
payoff = (payoff*30*10000000)./(360 + 30*r1);
{C,arbreC} = HoLeeValorisation(payoff,P1,pi_);
C6 = selectionArbreHoLee(ArbreC,1);
C5 = selectionArbreHoLee(ArbreC,2);
C4 = selectionArbreHoLee(ArbreC,3);
C3 = selectionArbreHoLee(ArbreC,4);
C2 = selectionArbreHoLee(ArbreC,5);
C1 = selectionArbreHoLee(ArbreC,6);

Msym " ";

output file = holee5.out reset;

print "--- Arbre d'evolution du prix du coupon zero de maturite 1 mois ---";
call affichageArbre(P1); print;
print "--- Arbre d'evolution du prix du coupon zero de maturite 2 mois ---";
call affichageArbre(P2); print;
print "--- Arbre d'evolution du prix du coupon zero de maturite 3 mois ---";
call affichageArbre(P3); print;
print "--- Arbre d'evolution du prix du coupon zero de maturite 4 mois ---";
call affichageArbre(P4); print;
print "--- Arbre d'evolution du prix du coupon zero de maturite 5 mois ---";
call affichageArbre(P5); print;
print "--- Arbre d'evolution du prix du coupon zero de maturite 6 mois ---";
call affichageArbre(P6); print;
print "--- Arbre d'evolution du taux zero de maturite 1 mois ---";
call affichageArbre(r1); print;
print "--- Arbre du floor 1 mois ---";
call affichageArbre(C1); print;
print "--- Arbre du floor 2 mois ---";
call affichageArbre(C2); print;
print "--- Arbre du floor 3 mois ---";
call affichageArbre(C3); print;
print "--- Arbre du floor 4 mois ---";
call affichageArbre(C4); print;
print "--- Arbre du floor 5 mois ---";
call affichageArbre(C5); print;
print "--- Arbre du floor 6 mois ---";
call affichageArbre(C6); print;
print ftos(sumc(c),"Valeur du FLOOR : %lf francs",10,5);

output off;

Msym ".";