@<------------------- vasicek.prg ------------------->@

new;
library spt,pgraph;
SPTset;

declare matrix r0,a,b,sigma,lambda;

proc lnCouponZero(tau);
  local P,r;

  {P,r} = Vasicek(r0,a,b,sigma,lambda,tau);

  retp(ln(P));
endp;


r0 = seqa(0,1/100,21);

a = 0.90; b = 0.10; sigma = 0.1; lambbda = 0.02;

tau = 1;  /* 1 an */
f1 = -gradp(&lnCouponZero,tau);

tau = 2;  /* 2 ans */
f2 = -gradp(&lnCouponZero,tau);

tau = 5;  /* 5 ans */
f3 = -gradp(&lnCouponZero,tau);

tau = 1;  /* 1 an */
a = 0.10; b = 0.10; sigma = 0.1; lambbda = 0.02;
f4 = -gradp(&lnCouponZero,tau);

tau = 1;  /* 1 an */
a = 0.90; b = 0.10; sigma = 0.5; lambbda = 0.02;
f5 = -gradp(&lnCouponZero,tau);

graphset;
  _pdate = ""; _pnum = 2; _pltype = 6|1|3|4|5; _pstype = 8|9|11|13|14;
  _plctrl = 3; _paxht = 0.20;
  fonts("simplex simgrma");
  title("Relation entre le taux zero instantane et les taux a terme"\
        "\Ldans le modele de Vasicek @[1977@]"\
        "\La = 0.9  b = 0.10  \202s\201 = 0.1  \202l\201 = 0.02");
  xlabel("r(t)");
  ylabel("f]t[(\202t\201) - r(t)");
  xtics(0,0.2,0.05,0);
  ytics(-0.1,0.1,0.05,0);
  _plegstr = "\202t\201 = 1\000\202t\201 = 2\000\202t\201 = 5"\
             "\000\202t\201 = 1 & a = 0.10\000\202t\201 = 1 & \202s\201 = 0.5";
  _plegctl = {2 6 5 3.5};
  graphprt("-c=1 -cf=_vasicek.eps");
  xy(r0,(f1~f2~f3~f4~f5)-r0);