@<------------------- hjm2.prg ------------------->@

new;
library spt;
SPTset;

F0 = 0.10;
t0 = 1;
t = 2;
sigma1 = 0.02;
sigma2 = 0.05;
c = 0.125;

proc procSigma(theta,T);
  local Nobs;
  Nobs = maxc(rows(theta)|rows(T));
  retp( sigma1*ones(Nobs,1) ~ sigma2.*exp(-c/2.*(T-theta)) );
endp;

TauxZero = HeathJarrowMorton(F0,&procSigma,t0,t,100,5);

output file = hjm2.out reset;

print TauxZero;
  
output off;