@<------------------- oblig1.prg ------------------->@

new;
library spt;
SPTset;


v1 =   5               |    /* Nombre de coupons    */
     119.95            |    /* Prix de l'obligation */
     25/360     | 8.55 |    /* Mat. et valeur du premier coupon */
     25/360 + 1 | 8.55 |    
     25/360 + 2 | 8.55 |    
     25/360 + 3 | 8.55 |    
     25/360 + 4 | 100 + 8.55;

v2 = 1 | 94.50 | 1 + 50/360 | 100;
v3 = 3 | 115.70 | 75/360 | 10.15 | 
     75/360 + 1 | 7.45 | 75/360 + 2 | 109.35;

Obligations = zeros(12,3);
Obligations[.,1] = v1;
Obligations[1:rows(v2),2] = v2;
Obligations[1:rows(v3),3] = v3;

output file = oblig1.out reset;

print obligations;

i = 1;
do until i > 3;

  {Prix,Tau,C} = decodage_obligation(Obligations[.,i]);
   Nc = rows(C);
   print; print;
   print ftos(i,"Prix de l'obligation %lf",0,0)$+ftos(Prix," :% lf francs",10,3);
   print "        coupon           maturite         valeur ";
   print seqa(1,1,Nc)~tau~C;


   i = i + 1;
endo;

output off;